Subject: Directories, files and inodes.

From: Phil Norman <[email-masked]>
Date: Fri, 21 Nov 1997 23:04:23 +0000 (GMT)

Hi!

The ext2fs reader is going nicely - I can now read a directory's contents 
and can copy a file from ext2 to RiscOS.  Only one problem: I can't tell 
the difference between a directory or a file.  I know there's probably 
some screamingly obvious flag or value in the inode definition, but I 
can't find it anywhere in ext2_fs.h.  Can anyone help?

Thanks in advance,
Phil

-- 
Phil Norman, mailing from Exeter Uni.
Programs available for download from my web page.
email:  [email-masked]
web:    http://newton.ex.ac.uk/general/ug/norman